| Home | Libraries | People | FAQ | More

## Struct template make_any_member_hook

boost::intrusive::make_any_member_hook

## Synopsis

    // In header: <boost/intrusive/any_hook.hpp>

    template<class... Options>
    struct make_any_member_hook {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a ``any_member_hook` that` yields to the same type when the same options (either explicitly or implicitly) are used.